RoleException (Apache Geode 2.0.2)
Description: declaration: package: org.apache.geode.cache, class: RoleException

Package org.apache.geode.cache

# Class RoleException

java.lang.Object
java.lang.Throwable
java.lang.Exception
java.lang.RuntimeException
org.apache.geode.GemFireException
org.apache.geode.cache.CacheRuntimeException
org.apache.geode.cache.RoleException

All Implemented Interfaces:
  `Serializable`

Direct Known Subclasses:
  `RegionRoleException`

@Deprecated public abstract class RoleException extends CacheRuntimeException
Deprecated.
this feature is scheduled to be removed
`RoleException` is the superclass of those exceptions that can be thrown to indicate a reliability failure on one or more `regions` that have been configured with required roles using `MembershipAttributes`.

See Also:
  - Serialized Form

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `RoleException()`
  Deprecated.
  Creates a new instance of `RoleException` without detail message.
  `RoleException(String msg)`
  Deprecated.
  Constructs an instance of `RoleException` with the specified detail message.
  `RoleException(String msg, Throwable cause)`
  Deprecated.
  Constructs an instance of `RoleException` with the specified detail message and cause.
  `RoleException(Throwable cause)`
  Deprecated.
  Constructs an instance of `RoleException` with the specified cause.

- ## Method Summary

  ### Methods inherited from class org.apache.geode.cache.CacheRuntimeException

  `toString`

  ### Methods inherited from class org.apache.geode.GemFireException

  `getRootCause`

  ### Methods inherited from class java.lang.Throwable

  `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### RoleException

    public RoleException()
    Deprecated.
    Creates a new instance of `RoleException` without detail message.

  - ### RoleException

    public RoleException(String msg)
    Deprecated.
    Constructs an instance of `RoleException` with the specified detail message.
    Parameters:
      `msg` - the detail message

  - ### RoleException

    public RoleException(String msg, Throwable cause)
    Deprecated.
    Constructs an instance of `RoleException` with the specified detail message and cause.
    Parameters:
      `msg` - the detail message
      `cause` - the causal Throwable

  - ### RoleException

    public RoleException(Throwable cause)
    Deprecated.
    Constructs an instance of `RoleException` with the specified cause.
    Parameters:
      `cause` - the causal Throwable